#if defined(USE_GDBM) && defined(HAVE_GDBM) && !defined(MY_NDBM)

/* #include <gdbm.h> */

#define DBM_INSERT      GDBM_INSERT
#define DBM_REPLACE     GDBM_REPLACE
#define DBM_OPEN        wrap_gdbm_open
#define DBM_CLOSE       dbm_close
#define DBM_FETCH       dbm_fetch
#define DBM_FIRSTKEY    dbm_firstkey
#define DBM_NEXTKEY     dbm_nextkey
#define DBM_STORE       dbm_store

/* definitions copied from ndbm.h */
typedef struct {int dummy[10];} DBM;
extern void dbm_close ();
extern datum dbm_fetch ();
extern int dbm_store ();
extern int dbm_delete ();
extern datum dbm_firstkey ();
extern datum dbm_nextkey ();

DBM * wrap_gdbm_open PROTO((char *file, int flags, int mode));
#endif 			/* USE_GDBM && HAVE_GDBM && !MY_NDBM */

